require 'shelf-lib.pl';

# acl_security_form(&options)
sub acl_security_form
{
	my ($access)= @_;

	print ui_table_row($text{"shelf_add"},
		ui_yesno_radio("shelf_add", $access->{'shelf_add'}));

	print ui_table_row($text{"shelf_manage"},
		ui_yesno_radio("shelf_manage", $access->{'shelf_manage'}));

	print ui_table_row($text{"lun_manage"},
		ui_yesno_radio("lun_manage", $access->{'lun_manage'}), 2);

	print ui_table_hr();

	print ui_table_row($text{"shelf_addr"},
		ui_yesno_radio("shelf_addr", $access->{'shelf_addr'}));

	print ui_table_row($text{"shelf_size"},
		ui_yesno_radio("shelf_size", $access->{'shelf_size'}));

	print ui_table_row($text{"shelf_uptime"},
		ui_yesno_radio("shelf_uptime", $access->{'shelf_uptime'}));

	print ui_table_row($text{"shelf_problem"},
		ui_yesno_radio("shelf_problem", $access->{'shelf_problem'}));

	print ui_table_row($text{"shelf_pool"},
		ui_yesno_radio("shelf_pool", $access->{'shelf_pool'}));

	print ui_table_row($text{"shelf_detail"},
		ui_yesno_radio("shelf_detail", $access->{'shelf_detail'}));
}


sub acl_security_save
{
	my ($access, $in) = @_;

	$access->{'shelf_add'} = $in->{'shelf_add'};
	$access->{'shelf_manage'} = $in->{'shelf_manage'};
	$access->{'lun_manage'} = $in->{'lun_manage'};
	$access->{'shelf_addr'} = $in->{'shelf_addr'};
	$access->{'shelf_size'} = $in->{'shelf_size'};
	$access->{'shelf_uptime'} = $in->{'shelf_uptime'};
	$access->{'shelf_problem'} = $in->{'shelf_problem'};
	$access->{'shelf_pool'} = $in->{'shelf_pool'};
	$access->{'shelf_detail'} = $in->{'shelf_detail'};
}
